jvx.math

## Class MathCameraListener

- java.lang.Object
- - jvx.math.MathListener
  - - jvx.math.MathCameraListener

- All Implemented Interfaces:
    java.lang.Runnable, PvCameraListenerIf

      public class MathCameraListener
      extends MathListener
      implements PvCameraListenerIf, java.lang.Runnable

  Listener to receive events of camera in display to invoke Mathematica commands. The camera event contains information about the current state of the camera such as position, viewing direction and projection mode.

  The event does not contain pick information of the geometry, see `jvx.math.MathPickListener`.

  See Also:
    `PvCameraListenerIf`, `MathPickListener`
  Author:
    Konrad Polthier
  Version:
    08.08.00, 1.10 revised (kp) Aynchronous mode added.
    27.07.00, 1.00 created (kp)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathCameraListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragCamera(PvCameraEvent event)` Get camera position and viewing direction when a mouse drag event has occurred.
    `void` | `pickCamera(PvCameraEvent event)` Get camera position and viewing direction when a mouse pressed event has occurred.
    `void` | `run()` Asynchronously perform the event handling.

    - ### Methods inherited from class jvx.math.MathListener

      `getHandler, getName, setHandler, setName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface jv.project.PvCameraListenerIf

      `getName`

- - ### Constructor Detail

    - #### MathCameraListener

          public MathCameraListener()

  - ### Method Detail

    - #### pickCamera

          public void pickCamera(PvCameraEvent event)

      Get camera position and viewing direction when a mouse pressed event has occurred. No pick information about geometry is supplied.
      Specified by:
        `pickCamera` in interface `PvCameraListenerIf`
      Parameters:
        `event` - Pick event issued by the display
      See Also:
        `PvCameraListenerIf`

    - #### dragCamera

          public void dragCamera(PvCameraEvent event)

      Get camera position and viewing direction when a mouse drag event has occurred. No pick information about geometry is supplied.
      Specified by:
        `dragCamera` in interface `PvCameraListenerIf`
      Parameters:
        `event` - Drag event issued by the display
      See Also:
        `PvCameraListenerIf`

    - #### run

          public void run()

      Asynchronously perform the event handling.
      Specified by:
        `run` in interface `java.lang.Runnable`

"

The software JavaView? is copyright protected. All Rights Reserved.
"